---
title: PaymentAddress.toJSON()
slug: Web/API/PaymentAddress/toJSON
tags:
  - API
  - Payment Request
  - Payment Request API
  - PaymentRequest
  - Property
  - Reference
  - paymentAddress
  - toJSON
---
<p>{{APIRef("Payment Request API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>toJSON()</code></strong> property of the {{domxref("PaymentAddress")}} interface is a standard serializer that returns a JSON representation of the PaymentAddress object's properties.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>json</em> = PaymentAddress.toJSON()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value"><span style='font-family: x-locale-heading-primary,zillaslab,Palatino,"Palatino Linotype",x-locale-heading-secondary,serif; font-size: 1.375rem;'>Return value</span></h3>

<p>A JSON object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebIDL','#default-tojson-steps','toJSON()')}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PaymentAddress.toJSON")}}</p>
</div>
